Summary:	XBase - xbase-compatible C++ class library
Summary(pl.UTF-8):	XBase - kompatybilna z xbase biblioteka klas C++
Name:		xbase
Version:	2.1.1
Release:	6
License:	LGPL v2.1+ (library), GPL v2+ (programs)
Group:		Libraries
Source0:	http://downloads.sourceforge.net/xdb/%{name}-%{version}.tar.gz
# Source0-md5:	f36852f0ba0c4d9e047e84c3269fde37
Patch0:		%{name}-fix.patch
Patch1:		%{name}-gcc4.patch
Patch2:		%{name}-am.patch
URL:		http://linux.techass.com/projects/xdb/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XBase is an xbase (i.e. dBase, FoxPro, etc.) compatible C++ class
library. It's useful for accessing data in legacy dBase 3 and 4
database files as well as a general light-weight database engine. It
includes support for DBF (dBase version 3 and 4) data files, NDX and
NTX indexes, and DBT (dBase version 3 and 4). It supports file and
record locking under *nix OSes.

%description -l pl.UTF-8
XBase to kompatybilna z xbase (czyli dBase, FoxPro itp.) biblioteka
klas C++. Jest przydatna do dostępu do danych w plikach starych baz
dBase 3 i 4, a także jako lekki silnik baz danych ogólnego
przeznaczenia. Obsługuje pliki baz DBF (dBase w wersji 3 i 4), indeksy
NDX i NTX oraz DBT (dBase w wersji 3 i 4). Obsługuje blokowanie
plików i rekordów pod systemami uniksowymi.

%package devel
Summary:	XBase development files
Summary(pl.UTF-8):	Pliki dla programistów używających XBase
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel

%description devel
This package contains XBase development files.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe potrzebne przy tworzeniu
aplikacji używających Xbase.

%package static
Summary:	Static XBase library
Summary(pl.UTF-8):	Statyczna biblioteka XBase
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static XBase library.

%description static -l pl.UTF-8
Statyczna biblioteka XBase.

%package tools
Summary:	XBase utilities for xbase files
Summary(pl.UTF-8):	XBase - narzędzia do plików xbase
License:	GPL v2+
Group:		Applications/File
Requires:	%{name} = %{version}-%{release}

%description tools
XBase utilities for xbase files.

%description tools -l pl.UTF-8
XBase - narzędzia do plików xbase.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-implicit-templates"
%configure \
	--with-exceptions \
	--with-index-ndx \
	--with-index-ntx
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libxbase.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libxbase.so.1

%files devel
%defattr(644,root,root,755)
%doc html/{*.html,*.jpg}
%attr(755,root,root) %{_bindir}/xbase-config
%attr(755,root,root) %{_libdir}/libxbase.so
%{_libdir}/libxbase.la
%{_includedir}/xbase

%files static
%defattr(644,root,root,755)
%{_libdir}/libxbase.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/checkndx
%attr(755,root,root) %{_bindir}/copydbf
%attr(755,root,root) %{_bindir}/dbfutil1
%attr(755,root,root) %{_bindir}/dbfxtrct
%attr(755,root,root) %{_bindir}/deletall
%attr(755,root,root) %{_bindir}/dumphdr
%attr(755,root,root) %{_bindir}/dumprecs
%attr(755,root,root) %{_bindir}/packdbf
%attr(755,root,root) %{_bindir}/reindex
%attr(755,root,root) %{_bindir}/undelall
%attr(755,root,root) %{_bindir}/zap
%changelog
* Sun Apr 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xbase.git;a=log;h=master

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> df08b1a
- x32 rebuild
- release 6 (by relup.sh)

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 938b0a7
- separated -tools to allow installing both xbase and xbase64 libs

* Sat Jan 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 4718091
- added am patch (fixes build with automake 1.13 and gcc configured --with-pkgversion)
- ghost soname symlink

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> fab6414
- dropped pre-cvs changelog

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 731c698
- s/enviroment/environment/

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 18d46d6
- rel 4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 066dc6d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 33fa3a2
- converted to UTF-8

* Sun Dec 24 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> db5fc4a
- rel 3

* Tue Feb 21 2006 Jakub Bogusz <qboosh@pld-linux.org> bb3cd4c
- added gcc4 patch

* Tue Feb 21 2006 Jakub Bogusz <qboosh@pld-linux.org> 8527252
- kill extra qualification

* Mon Feb 14 2005 Jakub Bogusz <qboosh@pld-linux.org> 728988f
- release 2

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 8b2efa1
- spaces->tabs

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 26b135f
- -devel R: libstdc++-devel

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> 8a22714
- updated to 2.1.1 (devel, but ready for gcc 3.x); added fix patch

* Fri Apr 09 2004 Jakub Bogusz <qboosh@pld-linux.org> ab9e5a4
- build fixes

* Tue Oct 28 2003 Jakub Bogusz <qboosh@pld-linux.org> e891c44
- little better/updated descriptions based on README

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 393bac9
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 9fbd442
- massive attack s/pld.org.pl/pld-linux.org/

* Thu Mar 13 2003 Jakub Bogusz <qboosh@pld-linux.org> b917180
- working Source URL, minor fixed where needed

